package com.antai.sport.http.server.management.api.business.series.mapper;

import com.antai.sport.http.server.management.api.business.series.dto.SeriesListQueryDTO;
import com.antai.sport.http.server.management.api.business.series.vo.SeriesListVO;
import com.antai.sport.http.server.management.api.business.series.vo.SeriesMatchListVO;
import com.antai.sport.http.server.management.api.business.series.vo.SeriesQualifyingMatchRankVO;
import com.antai.sport.http.server.management.api.business.series.vo.SeriesRoundListVO;
import com.antai.sport.http.server.repository.series.entity.SeriesRound;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SeriesBusinessMapper {

    IPage<SeriesListVO> getSeriesList(IPage<SeriesListVO> pageParam, @Param("param") SeriesListQueryDTO param);

    List<SeriesRound> getRoundBySeriesId(@Param("seriesId") Long seriesId);

    List<SeriesRoundListVO> getRoundListBySeriesId(@Param("seriesId") Long seriesId);

    List<SeriesMatchListVO> getMatchByRoundId(@Param("roundId") Long roundId);

    IPage<SeriesQualifyingMatchRankVO> getSeriesQualifyingMatchRank(IPage<SeriesQualifyingMatchRankVO> page,
                                                                   @Param("roundId") Long roundId,
                                                                   @Param("areaId") Long areaId);
}
